Clear Buildpack Cache

Clear Buildpack Cache
Clear the buildpack cache

This endpoint will delete all of the existing buildpack caches in the blobstore. The buildpack cache is used during staging by buildpacks as a way to cache certain resources, e.g. downloaded Ruby gems. An admin who wants to decrease the size of their blobstore could use this endpoint to delete unnecessary blobs.

Request
URI
POST
https://api.example.local/v3/admin/actions/clear_buildpack_cache
COPY
Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Operation doesn't return any data structure

Response Headers

string
Location

URL of the job that is clearing the buildpack cache


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/v3/admin/actions/clear_buildpack_cache